S.EE Docs
API Reference

Get File Upload History

Returns a paginated list of uploaded files for the authenticated user. This API is compatible with sm.ms upload_history endpoint and returns 30 files per page sorted by creation time in descending order.

GET
/api/v1/files

Query Parameters

page?integer

Page number (default 1)

Default1
Range1 <= value

Header Parameters

Authorization*string

API key

Response Body

application/json

curl -X GET "https://s.ee/api/v1/files" \  -H "Authorization: string"
{
  "code": 0,
  "data": [
    {
      "created_at": 0,
      "delete": "string",
      "file_id": 0,
      "filename": "string",
      "hash": "string",
      "height": 0,
      "page": "string",
      "path": "string",
      "size": 0,
      "storename": "string",
      "upload_status": 0,
      "url": "string",
      "width": 0
    }
  ],
  "message": "string",
  "success": true
}